Subject: Re: svn repository URL and git

From: Mathias Lafeldt <[email-masked]>
Date: Thu, 28 Oct 2010 21:31:18 +0200

On 10/28/2010 09:02 PM, Ulrich Spörlein wrote:
> On Thu, 28.10.2010 at 16:58:28 +0000, H Krishnan wrote:
>>
>> Hi,
>> I think I resolved this problem by using --rewrite-root as suggested. I used a 
>> dummy root during the git-svn clone:
>>
>> git-svn clone --rewrite-root http://git.is.great <myrepo>
>>
>> All my commit messages now have http://git.is.great but I am able to change the 
>> repository URL and continue.
>>
>> Could this approach be used as an insurance against svn url changes? When 
>> initializing the repository, we could use --rewrite-root. Subsequently, if the 
>> svn repository relocates, we need to edit only .git/config. 
> 
> Yes, that's exactly what the rewrite-url was introduced for, you can
> even clone from a local svnsync mirror (iff the UUID matches, you have
> to setup the mirror in a special way ...).
> 
> So, every developer must use:
> 
> $ git svn clone --rewrite-root CANONICAL-URL-NEVER-TO-CHANGE <whatever-url-is-convenient>
> 
> Oh, and all devs must use the same authormap (or no authormap at all).
> 
> hth,
> Uli

FYI, I just learned [1] that git-svn even has a --rewrite-uuid option.

[1] http://www.kernel.org/pub/software/scm/git/docs/git-svn.html

-Mathias